Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 55 - rsh problems with utmp
Summary: rsh problems with utmp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-12 17:23 UTC by cadams
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 15:35:26 UTC


Attachments (Terms of Use)

Description cadams 1998-11-12 17:23:47 UTC
If rsh doesn't enter a LOGIN entry in the utmp file, login
gets confused and adds a new entry at the end (even if an
entry for the tty already exists).  This causes the utmp
file to keep growing as long as the system is up.  A utmp
file over 1MB makes "who", "w", and other such programs slow
to a crawl on an active server.

I will send a patch for rsh that makes it create an entry
once I get a bug ID.

Comment 1 Derek Tattersall 1998-11-19 17:35:59 UTC
See patch in attached email.

Comment 2 Jeff Johnson 1999-02-18 15:54:59 UTC
This patch has been added to the OpenBSD rsh sources in Raw Hide.
This is an intermediate solution until a PAM module is written
that will manage utmp entries. Thanks for the patch.

Comment 3 Jeff Johnson 1999-03-26 15:35:59 UTC
And, finally, a better fix (to find utmp entry based on tty slot)
has been put into login.c that makes it unnecessary to create the
utmp entry before exec'ing login. Thanks for pointing this out.

Fix is in util-linux-2.9o-6.


Note You need to log in before you can comment on or make changes to this bug.